#ifndef INCLUDE__Function_hxx
#define INCLUDE__Function_hxx

#include "disassembler/BasicBlock.hxx"

class Function {
public:
	Function(const std::string& name) {
		this->name = name;
	}

	std::string getName() const {
		return name;
	}

	BasicBlock * getEntry();

private:
	std::string name;
	BasicBlock * start;
};

#endif
